> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-mintlify-efa94f7d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Prescription Created Event

> 
When a prescription is created or modified, a webhook event is sent to registered webhooks with details about the prescription, including the prescription ID, visit ID, doctor ID, patient ID, and event type.

The receiver can then use the `prescription_id` from webhook events to retrieve the details of a specific prescription by calling the prescription API.



## OpenAPI

````yaml post /registered_url_for_prescription_events
openapi: 3.1.0
info:
  title: Transaction Status API
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://{partner_host}
    variables:
      partner_host:
        default: api.example.com
        description: Partner API host
security: []
paths:
  /registered_url_for_prescription_events:
    post:
      tags:
        - Prescription Webhooks
      summary: Prescription Created Event
      description: >-

        When a prescription is created or modified, a webhook event is sent to
        registered webhooks with details about the prescription, including the
        prescription ID, visit ID, doctor ID, patient ID, and event type.


        The receiver can then use the `prescription_id` from webhook events to
        retrieve the details of a specific prescription by calling the
        prescription API.
      operationId: PrescriptionWebhook
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              required:
                - event
                - event_time
                - timestamp
                - client_id
                - business_id
                - data
              properties:
                event:
                  type: string
                  enum:
                    - prescription.created
                    - prescription.updated
                event_time:
                  type: integer
                  example: 1730189586
                  description: Event occured timestamp
                timestamp:
                  type: integer
                  example: 1730189586
                  description: Timestamp of the event
                client_id:
                  type: string
                  example: 67978400352a61001d64e9fb
                  description: Client ID for the appointment
                business_id:
                  type: string
                  example: '174159057718553'
                  description: Business ID for the appointment
                data:
                  type: object
                  required:
                    - prescription_id
                    - doctor_id
                    - patient_id
                    - clinic_id
                    - action
                    - created_at
                    - modified_at
                  properties:
                    prescription_id:
                      type: string
                      example: '{{prescription_id}}'
                      description: Prescription ID
                    doctor_id:
                      type: string
                      example: '174159057723920'
                      description: Identifier for the doctor in Eka
                    partner_doctor_id:
                      type: string
                      example: test-doc-123
                      description: Identifier for the partner's doctor
                    patient_id:
                      type: string
                      example: '174678912588458'
                      description: Identifier for the patient in Eka
                    current_version:
                      type: string
                      example: '2'
                    previous_version:
                      type: string
                      example: '1'
                    prescription_url:
                      type: string
                      example: >-
                        https://prescription-store-s3.eka.care/P-DW-sam123ple.pdf
                    prescription_url_print:
                      type: string
                      example: >-
                        https://prescription-store-s3.eka.care/P-DW-sam123ple-print.pdf
                    partner_patient_id:
                      type: string
                      example: 77237637763817-17
                      description: Identifier for the partner's patient
                    clinic_id:
                      type: string
                      example: 67978400352a61001d64e9fb
                      description: Identifier for the clinic in Eka
                    partner_clinic_id:
                      type: string
                      example: CL04
                      description: Identifier for the partner's clinic
                    partner_appointment_id:
                      type: string
                      example: 67ce9032abfba8001d17ddd2
                      description: Identifier for the partner's appointment
                    action:
                      type: string
                      enum:
                        - created
                        - updated
                    created_at:
                      type: integer
                      example: 1730189586
                      description: Creation timestamp in ISO format
                    modified_at:
                      type: integer
                      example: 1730189586
                      description: Modification timestamp in ISO format
                    partner_meta:
                      type: object
                      properties:
                        key1:
                          type: string
                          example: '{{value1}}'
                          description: key-value specified by partner
                      description: Partner-specific metadata
      responses:
        '200':
          description: ''
          headers: {}
      deprecated: false

````